<?php

/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class SppagebuilderAddonBook_table extends SppagebuilderAddons {

    public function render() {
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';

        // Addon
        $subtitle = (isset($this->addon->settings->subtitle) && $this->addon->settings->subtitle) ? $this->addon->settings->subtitle : '';
        $text = (isset($this->addon->settings->text) && $this->addon->settings->text) ? $this->addon->settings->text : '';
        $image = (isset($this->addon->settings->image) && $this->addon->settings->image) ? $this->addon->settings->image : '';
        $image_position = (isset($this->addon->settings->image_position) && $this->addon->settings->image_position) ? $this->addon->settings->image_position : '';

        $output = '';
        $output .= '<div class="sppb-addon sppb-addon-book-a-table ' . $class . '">';
        $output .= '<div class="sppb-row">';

        if ($image_position == 'left') {
            $output .= '<div class="sppb-col-sm-6">';
            if ($image) {
                $output .= '<img class="sppb-position-left" src="' . $image . '" alt="' . $title . '">';
            }
            $output .= '</div>';
        }

        $output .= '<div class="sppb-col-sm-6">';
        $output .= '<div class="sppb-addon-content">';

        if ($title) {
            $output .= '<h2 class="sppb-fancy-cta-title sp-leading">' . $title . '</h2>';
        }

        if ($subtitle) {
            $output .= '<h3 class="sppb-fancy-cta-sub-title">' . $subtitle . '</h3>';
        }

        $output .= '<div class="sp-fancy-cta-text">' . $text . '</div>';

        $output .= '</div>';
        $output .= '</div>';

        if ($image_position == 'right') {
            $output .= '<div class="sppb-col-sm-6">';
            if ($image) {
                $output .= '<img class="sppb-position-right" src="' . $image . '" alt="' . $title . '">';
            }
            $output .= '</div>';
        }

        $output .= '</div>';

        $output .= '</div>';

        return $output;
    }

    public function css() {
        $addon_id = '#sppb-addon-' . $this->addon->id;

        $style = (isset($this->addon->settings->background) && $this->addon->settings->background) ? "background-color: " . $this->addon->settings->background . ";" : '';
        $style .= (isset($this->addon->settings->color) && $this->addon->settings->color) ? 'color' . $this->addon->settings->color . ');' : '';

        $css = '';
        if ($style) {
            $css .= $addon_id . ' .sppb-addon-book-a-table {';
            $css .= $style;
            $css .= '}';
        }

        return $css;
    }

    public static function getTemplate() {
        $output = '
                <#
                    var contentClass = (_.isEmpty(data.class) && data.class) ? data.class : "";
                    var image_position = (typeof data.image_position !== "undefined") ? data.image_position : "";
                #>

                    <div class="sppb-addon sppb-addon-book-a-table {{contentClass}}" style="background-color:{{data.background}}; color: {{data.color}};">
                    <div class="sppb-row">

                    <# if (image_position == "left") { #>
                        <div class="sppb-col-sm-6">
                            <img class="sppb-position-left" src="{{data.image}}" alt="{{{data.title}}}">
                        </div>
                    <# } #>

                    <div class="sppb-col-sm-6">
                    <div class="sppb-addon-content">

                    <h2 class="sppb-fancy-cta-title sp-leading">{{{data.title}}}</h2>

                    <h3 class="sppb-fancy-cta-sub-title">{{{data.subtitle}}}</h3>

                    <div class="sp-fancy-cta-text">{{{data.text}}}</div>

                    </div>
                    </div>

                    <# if (image_position == "right") { #>
                        <div class="sppb-col-sm-6">
                            <img class="sppb-position-right" src="{{data.image}}" alt="{{{data.title}}}">
                        </div>
                    <# } #>

                    </div>

                    </div>
                ';
        return $output;
    }

}
