<?php

/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('restricted aceess');

class SppagebuilderAddonClassic_menu extends SppagebuilderAddons {

    public function render() {
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';

        // Addon
        $background_image = (isset($this->addon->settings->background_image) && $this->addon->settings->background_image) ? $this->addon->settings->background_image : '';
        $icon = (isset($this->addon->settings->icon) && $this->addon->settings->icon) ? $this->addon->settings->icon : '';


        $section_class = '';
        if ($background_image) {
            $section_class = ' has-background-image';
        }
        $output = '<div class="sppb-addon sppb-addon-classic-menu ' . $class . '">';

        // Title
        if ($title) {
            $output .= '<div class="sppb-classic-menu-section' . $section_class . '">';
            $output .= '<div class="sppb-container">';
            $output .= '<div class="sppb-classic-inner">';
            if ($icon) {
                $output .= '<i class="' . $icon . ' sppb-classic-menu-icon"></i>';
            }
            $output .= '<h2 class="sppb-classic-menu-title">' . $title . '</h2>';
            $output .= '</div>';
            $output .= '</div>';
            $output .= '</div>';
        }

        $i = 1;
        $j = 1;
        $columns = 2;
        $delay = -1;

        if (count($this->addon->settings->sp_classic_menu_item)) {
            $output .= '<div class="sppb-container sppb-classic-menu-items">';
            foreach ($this->addon->settings->sp_classic_menu_item as $key => $item) {
                if ((($key + 1) % ($columns) == 0) || $j == count($this->addon->settings->sp_classic_menu_item)) {
                    $lastContainer = true;
                } else {
                    $lastContainer = false;
                }

                if ($i == 1) {
                    $output .= '<div class="sppb-row">';
                }

                if ($key % 2) {
                    $delay = $delay - 1;
                }

                $delay++;

                $animation = ($key % 2) ? 'fadeInRight' : 'fadeInLeft';

                $output .= '<div class="col-sm-6">';
                $output .= '<div class="sppb-classic-menu-inner sppb-wow ' . $animation . '" data-sppb-wow-delay="' . ($delay * 300) . 'ms">';

                $output .= '<h4>' . ( $key + 1 ) . '. ' . $item->title . '</h4>';
                $output .= '<span class="sppb-menu-price">' . $item->price . '</span>';
                $output .= '<div class="sppb-menu-dots"></div>';

                $output .= $item->content;

                $output .= '</div>';
                $output .= '</div>';

                if (($i == $columns) || $lastContainer) {
                    $output .= '</div>';
                    $i = 0;
                }
                $i++;
                $j++;
            }
            $output .= '</div>';
        }

        $output .= '</div>';

        return $output;
    }

    public function css() {
        $addon_id = '#sppb-addon-' . $this->addon->id;

        $style = (isset($this->addon->settings->background_image) && $this->addon->settings->background_image) ? 'background-image:url(' . JURI::base(true) . '/' . $this->addon->settings->background_image . ');' : '';

        $css = '';
        if ($style) {
            $css .= $addon_id . ' .sppb-classic-menu-section {';
            $css .= $style;
            $css .= '}';
        }

        return $css;
    }

    public static function getTemplate() {
        $output = '
                <#
                let contentClass = (!_.isEmpty(data.class) && data.class) ? data.class : "";
		let title = (!_.isEmpty(data.title) && data.title) ? data.title : "";

		let background_image = (!_.isEmpty(data.background_image) && data.background_image) ? data.background_image : "";
		let icon = (!_.isEmpty(data.icon) && data.icon) ? data.icon : "";


		let section_class = "";
		if(background_image) {
                    section_class = "has-background-image";
		}
                #>

                <div class="sppb-addon sppb-addon-classic-menu {{contentClass}}">

		<# if(title) { #>
                    <div class="sppb-classic-menu-section {{section_class}}" style="background-image: url({{data.background_image}});">
                        <div class="sppb-container">
                            <div class="sppb-classic-inner">
                                <# if(icon) { #>
                                    <i class="{{icon}} sppb-classic-menu-icon"></i>
                                <# } #>
                                <h2 class="sppb-classic-menu-title">{{{title}}}</h2>
                            </div>
                        </div>
                    </div>
		<# }

		let i = 1;
		let j = 1;
		let columns = 2;
		let delay = -1;
                let lastContainer;

		if((data.sp_classic_menu_item).length) {

                #>
                    <div class="sppb-container sppb-classic-menu-items">
                    <# _.each(data.sp_classic_menu_item, function(item, key) {
                        if( ((key+1)%(columns)==0) || j==(data.sp_classic_menu_item).length) {
                            lastContainer= true;
                        } else {
                            lastContainer= false;
                        }

                        if(i==1) {

                        #>
                            <div class="sppb-row">
                        <# }

                        if(key%2) {
                            delay = delay - 1;
                        }

                        delay++;
                        #>

                        <div class="col-sm-6">

                        <div class="sppb-classic-menu-inner">
                        <h4>{{key + 1}}. {{{item.title}}}</h4>
                        <span class="sppb-menu-price">{{item.price}}</span>
                        <div class="sppb-menu-dots"></div>

                        {{{item.content}}}
                        </div>

                        </div>

                        <# if((i == columns) || lastContainer) { #>
                            </div>
                        <#
                        i=0;
                        }
                        i++;
                        j++;
                    }) #>

                    </div>
		<# } #>

		</div>';
        return $output;
    }

}
