<?php

/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('restricted aceess');

class SppagebuilderAddonFancy_cta extends SppagebuilderAddons {

    public function render() {
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $style = (isset($this->addon->settings->style) && $this->addon->settings->style) ? $this->addon->settings->style : 'panel-default';
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';
        $heading_selector = (isset($this->addon->settings->heading_selector) && $this->addon->settings->heading_selector) ? $this->addon->settings->heading_selector : 'h3';

        //Addon
        $text = (isset($this->addon->settings->text) && $this->addon->settings->text) ? $this->addon->settings->text : '';
        $background = (isset($this->addon->settings->background) && $this->addon->settings->background) ? $this->addon->settings->background : '';
        $pattern = (isset($this->addon->settings->pattern) && $this->addon->settings->pattern) ? $this->addon->settings->pattern : '';
        $icon = (isset($this->addon->settings->icon) && $this->addon->settings->icon) ? $this->addon->settings->icon : '';
        $text = (isset($this->addon->settings->text) && $this->addon->settings->text) ? $this->addon->settings->text : '';
        $image = (isset($this->addon->settings->image) && $this->addon->settings->image) ? $this->addon->settings->image : '';
        $image_position = (isset($this->addon->settings->image_position) && $this->addon->settings->image_position) ? $this->addon->settings->image_position : '';
        $button_text = (isset($this->addon->settings->button_text) && $this->addon->settings->button_text) ? $this->addon->settings->button_text : '';
        $button_url = (isset($this->addon->settings->button_url) && $this->addon->settings->button_url) ? $this->addon->settings->button_url : '';
        $button_classes = (isset($this->addon->settings->button_size) && $this->addon->settings->button_size) ? ' sppb-btn-' . $this->addon->settings->button_size : '';
        $button_classes .= (isset($this->addon->settings->button_type) && $this->addon->settings->button_type) ? ' sppb-btn-' . $this->addon->settings->button_type : '';
        $button_classes .= (isset($this->addon->settings->button_shape) && $this->addon->settings->button_shape) ? ' sppb-btn-' . $this->addon->settings->button_shape : ' sppb-btn-rounded';
        $button_classes .= (isset($this->addon->settings->button_appearance) && $this->addon->settings->button_appearance) ? ' sppb-btn-' . $this->addon->settings->button_appearance : '';
        $button_classes .= (isset($this->addon->settings->button_block) && $this->addon->settings->button_block) ? ' ' . $this->addon->settings->button_block : '';
        $button_icon = (isset($this->addon->settings->button_icon) && $this->addon->settings->button_icon) ? $this->addon->settings->button_icon : '';
        $button_icon_position = (isset($this->addon->settings->button_icon_position) && $this->addon->settings->button_icon_position) ? $this->addon->settings->button_icon_position : 'left';

        $button_position = (isset($this->addon->settings->button_position) && $this->addon->settings->button_position) ? $this->addon->settings->button_position : '';
        $button_attribs = (isset($this->addon->settings->button_target) && $this->addon->settings->button_target) ? ' target="' . $this->addon->settings->button_target . '"' : '';
        $button_attribs .= (isset($this->addon->settings->button_url) && $this->addon->settings->button_url) ? ' href="' . $this->addon->settings->button_url . '"' : '';

        // Generate Button
        if ($button_icon_position == 'left') {
            $button_text = ($button_icon) ? '<i class="fa ' . $button_icon . '"></i> ' . $button_text : $button_text;
        } else {
            $button_text = ($button_icon) ? $button_text . ' <i class="fa ' . $button_icon . '"></i>' : $button_text;
        }
        $button_output = '<a' . $button_attribs . ' id="btn-' . $this->addon->id . '" class="sppb-btn' . $button_classes . '">' . $button_text . '</a>';

        $output = '';
        $output .= '<div class="sppb-addon sppb-addon-fancy-cta ' . $class . '">';
        $output .= '<div class="sppb-row sppb-no-gutter">';

        if ($image_position == 'left') {
            $output .= '<div class="sppb-col-md-5 sbbp-img-container">';
            if ($image) {
                $output .= '<div class="sppb-position-left">';
                $output .= '<img src="' . $image . '" alt="' . $title . '">';
                $output .= '</div>';
            }
            $output .= '</div>';
        }

        $output .= '<div class="sppb-col-md-7">';
        $output .= '<div class="sppb-addon-content" style="' . $style . '">';

        if ($title) {
            $output .= '<i class="' . $icon . ' sppb-fancy-cta-icon sppb-wow bounceIn"></i>';
            $output .= '<' . $heading_selector . ' class="sppb-fancy-cta-title">' . $title . '</' . $heading_selector . '>';
        }

        $output .= '<div class="sp-fancy-cta-text">' . $text . '</div>';
        $output .= $button_output;
        $output .= '</div>';
        $output .= '</div>';

        if ($image_position == 'right') {
            $output .= '<div class="sppb-col-md-5 sbbp-img-container">';
            if ($image) {
                $output .= '<div class="sppb-position-right">';
                $output .= '<img src="' . $image . '" alt="' . $title . '">';
                $output .= '</div>';
            }
            $output .= '</div>';
        }

        $output .= '</div>';

        $output .= '</div>';

        return $output;
    }

    public function css() {
        $addon_id = '#sppb-addon-' . $this->addon->id;
        $layout_path = JPATH_ROOT . '/components/com_sppagebuilder/layouts';
        $css_path = new JLayoutFile('addon.css.button', $layout_path);

        $style = (isset($this->addon->settings->background) && $this->addon->settings->background) ? "background-color: " . $this->addon->settings->background . ";" : '';
        $style .= (isset($this->addon->settings->pattern) && $this->addon->settings->pattern) ? 'background-image:url(' . $this->addon->settings->pattern . ');' : '';

        $css = '';
        if ($style) {
            $css .= $addon_id . ' .sppb-addon-content {';
            $css .= $style;
            $css .= '}';
        }

        // Button options
        $css .= $css_path->render(array('addon_id' => $addon_id, 'options' => $this->addon->settings, 'id' => 'btn-' . $this->addon->id));
        ;

        return $css;
    }

    public static function getTemplate() {
        $output = '
            <#
                let classContent = (!_.isEmpty(data.class) && data.class) ? data.class : "";
                let style = (!_.isEmpty(data.style) && data.style) ? data.style : "panel-default";
                let title = (!_.isEmpty(data.title) && data.title) ? data.title : "";
                let heading_selector = (!_.isEmpty(data.heading_selector) && data.heading_selector) ? data.heading_selector : "h3";

                let background = (!_.isEmpty(data.background) && data.background) ? data.background : "";
                let pattern = (!_.isEmpty(data.pattern) && data.pattern) ? data.pattern : "";
                let icon = (!_.isEmpty(data.icon) && data.icon) ? data.icon : "";
                let text = (!_.isEmpty(data.text) && data.text) ? data.text : "";
                let image = (!_.isEmpty(data.image) && data.image) ? data.image : "";
                let image_position = (!_.isEmpty(data.image_position) && data.image_position) ? data.image_position : "";
                let button_text = (!_.isEmpty(data.button_text) && data.button_text) ? data.button_text : "";
                let button_url = (!_.isEmpty(data.button_url) && data.button_url) ? data.button_url : "";
                let button_classes = (!_.isEmpty(data.button_size) && data.button_size) ?  \'sppb-btn-\' + data.button_size : "";
                button_classes += (!_.isEmpty(data.button_type) && data.button_type) ? \' sppb-btn-\' + data.button_type : "";
                button_classes += (!_.isEmpty(data.button_shape) && data.button_shape) ? \' sppb-btn-\' + data.button_shape : \' sppb-btn-rounded\';
                button_classes += (!_.isEmpty(data.button_appearance) && data.button_appearance) ? \' sppb-btn-\' + data.button_appearance : "";
                button_classes += (!_.isEmpty(data.button_block) && data.button_block) ? \' \' + data.button_block : "";
                let button_icon = (!_.isEmpty(data.button_icon) && data.button_icon) ? data.button_icon : "";
                let button_icon_position = (!_.isEmpty(data.button_icon_position) && data.button_icon_position) ? data.button_icon_position : "left";

                let button_position = (!_.isEmpty(data.button_position) && data.button_position) ? data.button_position : "";
                let button_attribs = (!_.isEmpty(data.button_target) && data.button_target) ? \' target="\' + data.button_target + \'"\' : "";
                button_attribs += (!_.isEmpty(data.button_url) && data.button_url) ? \' href="\' + data.button_url + \'"\' : "";

                if (button_icon_position == "left") {
                    button_text = (button_icon) ? \'<i class="fa \' + button_icon + \'"></i> \' + button_text : button_text;
                } else {
                    button_text = (button_icon) ? button_text + \' <i class="fa \' + button_icon + \'"></i>\' : button_text;
                }
                let button_output = \'<a\' + button_attribs + \' id="btn-\' + data.id + \'" class="sppb-btn \' + button_classes + \'">\' + button_text + \'</a>\';

                #>

                <div class="sppb-addon sppb-addon-fancy-cta {{classContent}}">
                <div class="sppb-row sppb-no-gutter">

                <# if (image_position == "left") { #>
                    <div class="sppb-col-md-5 sbbp-img-container">
                    <# if (image) { #>
                        <div class="sppb-position-left">
                        <img src="{{image}}" alt="{{{title}}}">
                        </div>
                    <# } #>
                    </div>
                <# } #>

                <div class="sppb-col-md-7">
                <div class="sppb-addon-content" style="{{style}}">

                <# if (title) { #>
                    <i class="{{icon}} sppb-fancy-cta-icon sppb-wow bounceIn"></i>
                    <{{heading_selector}} class="sppb-fancy-cta-title">{{{title}}}</{{heading_selector}}>
                <# } #>

                <div class="sp-fancy-cta-text">{{{text}}}</div>
                {{{button_output}}}
                </div>
                </div>

                <# if (image_position == "right") { #>
                    <div class="sppb-col-md-5 sbbp-img-container">
                    <# if (image) { #>
                        <div class="sppb-position-right">
                        <img src="{{image}}" alt="{{{title}}}">
                        </div>
                    <# } #>
                    </div>
               <# } #>

                </div>

                </div>
                ';
        return $output;
    }

}
