<?php

/**
 * @package Cuisine
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class SppagebuilderAddonReservations extends SppagebuilderAddons {

    public function render() {
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';
        $heading_selector = (isset($this->addon->settings->heading_selector) && $this->addon->settings->heading_selector) ? $this->addon->settings->heading_selector : 'h3';

        //Addon
        $sub_title = (isset($this->addon->settings->sub_title) && $this->addon->settings->sub_title) ? $this->addon->settings->sub_title : '';
        $title_fontsize = (isset($this->addon->settings->title_fontsize) && $this->addon->settings->title_fontsize) ? $this->addon->settings->title_fontsize : '';
        $title_fontweight = (isset($this->addon->settings->title_fontweight) && $this->addon->settings->title_fontweight) ? $this->addon->settings->title_fontweight : '';
        $title_text_color = (isset($this->addon->settings->title_text_color) && $this->addon->settings->title_text_color) ? $this->addon->settings->title_text_color : '';
        $title_margin_top = (isset($this->addon->settings->title_margin_top) && $this->addon->settings->title_margin_top) ? $this->addon->settings->title_margin_top : '';
        $title_margin_bottom = (isset($this->addon->settings->title_margin_bottom) && $this->addon->settings->title_margin_bottom) ? $this->addon->settings->title_margin_bottom : '';
        $recipient_email = (isset($this->addon->settings->recipient_email) && $this->addon->settings->recipient_email) ? $this->addon->settings->recipient_email : '';


        // Start
        $output = '<div class="sppb-addon sppb-addon-reservations ' . $class . '">';

        if ($title) {

            $output .= '<div class="sppb-text-center sppb-addon-header">';

            $title_style = '';
            if ($title_margin_top != '')
                $title_style .= 'margin-top:' . (int) $title_margin_top . 'px;';
            if ($title_margin_bottom != '')
                $title_style .= 'margin-bottom:' . (int) $title_margin_bottom . 'px;';
            if ($title_text_color)
                $title_style .= 'color:' . $title_text_color . ';';
            if ($title_fontsize)
                $title_style .= 'font-size:' . $title_fontsize . 'px;line-height:' . $title_fontsize . 'px;';
            if ($title_fontweight)
                $title_style .= 'font-weight:' . $title_fontweight . ';';

            $output .= '<' . $heading_selector . ' class="sppb-addon-title" style="' . $title_style . '">' . $title . '</' . $heading_selector . '>';

            if ($sub_title) {
                $output .= '<p class="sppb-addon-sub-title">' . $sub_title . '</p>';
            }

            $output .= '</div>';
        }

        $output .= '<div class="sppb-addon-content">';
        $output .= '<form class="sppb-reservation-form">';


        $output .= '<div class="sppb-row">';

        $output .= '<div class="sppb-col-sm-4">';
        $output .= '<div class="sppb-form-group">';
        $output .= '<label for="reservation-date">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_DATE_LABEL') . '</label>';
        $output .= '<input type="text" name="reservation_date" id="reservation-date" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_DATE_PLACEHOLDER') . '" required="required">';
        $output .= '</div>';
        $output .= '</div>';

        $output .= '<div class="sppb-col-sm-4">';
        $output .= '<div class="sppb-form-group">';
        $output .= '<label for="reservation-time">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_LABEL') . '</label>';
        $output .= '<select name="reservation_time" class="sppb-form-control" id="reservation-time" required="required">';
        $output .= '<option value="6:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">6:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="6:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">6:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="7:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">7:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="7:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">7:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="8:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">8:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="8:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">8:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="9:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">9:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="9:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">9:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="10:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">10:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="10:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">10:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="11:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">11:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="11:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">11:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>';
        $output .= '<option value="12:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">12:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="12:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">12:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="1:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">1:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="1:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">1:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="2:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">2:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="2:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">2:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="3:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">3:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="3:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">3:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="4:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">4:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="4:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">4:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="5:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">5:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="5:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">5:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="6:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">6:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="6:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">6:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="7:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">7:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="8:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '" selected="selected">8:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="8:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">8:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="9:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">9:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="9:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">9:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="10:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">10:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="10:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">10:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="11:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">11:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '<option value="11:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">11:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>';
        $output .= '</select>';
        $output .= '</div>';
        $output .= '</div>';

        $output .= '<div class="sppb-col-sm-4">';
        $output .= '<div class="sppb-form-group">';
        $output .= '<label for="reservation-people">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE_LABEL') . '</label>';
        $output .= '<select name="reservation_people" class="sppb-form-control" id="reservation-people" required="required">';
        $output .= '<option value="1">1 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PERSON') . '</option>';
        $output .= '<option value="2" selected="selected">2 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="3">3 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="4">4 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="5">5 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="6">6 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="7">7 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="8">8 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="9">9 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="10">10 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '<option value="10+">10+ ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>';
        $output .= '</select>';
        $output .= '</div>';
        $output .= '</div>';

        $output .= '</div>';


        $output .= '<div class="sppb-row">';

        $output .= '<div class="sppb-col-sm-4">';
        $output .= '<div class="sppb-form-group">';
        $output .= '<label for="reservation-name">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_NAME_LABEL') . '</label>';
        $output .= '<input type="text" name="reservation_name" id="reservation-name" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_NAME_PLACEHOLDER') . '" required="required">';
        $output .= '</div>';
        $output .= '</div>';

        $output .= '<div class="sppb-col-sm-4">';
        $output .= '<div class="sppb-form-group">';
        $output .= '<label for="reservation-phone">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PHONE_LABEL') . '</label>';
        $output .= '<input type="text" name="reservation_phone" id="reservation-phone" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PHONE_PLACEHOLDER') . '" required="required">';
        $output .= '</div>';
        $output .= '</div>';

        $output .= '<div class="sppb-col-sm-4">';
        $output .= '<div class="sppb-form-group">';
        $output .= '<label for="reservation-email">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_EMAIL_LABEL') . '</label>';
        $output .= '<input type="email" name="reservation_email" id="reservation-email" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_EMAIL_PLACEHOLDER') . '" required="required">';
        $output .= '</div>';
        $output .= '</div>';

        $output .= '</div>';


        $output .= '<input type="hidden" name="reservation_recipient" value="' . base64_encode($recipient_email) . '">';

        $output .= '<div style="display:none;" class="sppb-reservation-status sppb-text-center"></div>';

        $output .= '<div class="sppb-text-center sppb-btn-wrapper">';
        $output .= '<button type="submit" class="sppb-btn sppb-btn-default sppb-btn-lg btn-reservation"><i class="fa"></i> ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_SEND') . '</button>';
        $output .= '</div>';

        $output .= '</form>';

        $output .= '</div>';

        $output .= '</div>';

        return $output;
    }

    public static function getAjax() {
        $input = JFactory::getApplication()->input;
        $mail = JFactory::getMailer();
        $reservation_message = '';
        $reservation_name = '';
        $reservation_date = '';
        $reservation_time = '';

        //inputs
        $inputs = $input->get('data', array(), 'ARRAY');

        $rows = array();

        foreach ($inputs as $key => $row) {
            $rows[$row['name']] = $row['value'];
        }

        if (isset($rows['reservation_recipient']) && $rows['reservation_recipient']) {
            $reservation_recipient = base64_decode($rows['reservation_recipient']);
        }

        if (isset($rows['reservation_date']) && $rows['reservation_date']) {
            $reservation_date = $rows['reservation_date'];
            $reservation_message .= '<b>' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_DATE_LABEL') . '</b> ' . $reservation_date . '\n';
        }

        if (isset($rows['reservation_time']) && $rows['reservation_time']) {
            $reservation_time = $rows['reservation_time'];
            $reservation_message .= '<b>' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_LABEL') . '</b> ' . $reservation_time . '\n';
        }

        if (isset($rows['reservation_people']) && $rows['reservation_people']) {
            $reservation_message .= '<b>' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE_LABEL') . '</b> ' . $rows['reservation_people'] . '\n';
        }

        if (isset($rows['reservation_name']) && $rows['reservation_name']) {
            $reservation_name = $rows['reservation_name'];
            $reservation_message .= '<b>' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_NAME_LABEL') . '</b> ' . $reservation_name . '\n';
        }

        if (isset($rows['reservation_phone']) && $rows['reservation_phone']) {
            $reservation_phone = $rows['reservation_phone'];
            $reservation_message .= '<b>' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PHONE_LABEL') . '</b> ' . $reservation_phone . '\n';
        }

        if (isset($rows['reservation_email']) && $rows['reservation_email']) {
            $reservation_email = $rows['reservation_email'];
        }

        $reservation_subject = JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_SUBJECT') . ': ' . $reservation_date . ' - ' . $reservation_time;

        $sender = array($reservation_email, $reservation_name);
        $mail->setSender($sender);
        $mail->addRecipient($reservation_recipient);
        $mail->setSubject($reservation_subject);
        $mail->isHTML(true);
        $mail->Encoding = 'base64';
        $mail->setBody($reservation_message);

        if ($mail->Send()) {
            return '<span class="sppb-text-success">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_SUCCESS') . '</span>';
        } else {
            return '<span class="sppb-text-danger">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_FAILED') . '</span>';
        }

        die;
    }

    public function scripts() {
        $app = JFactory::getApplication();
        return array(JURI::base() . '/templates/' . $app->getTemplate() . '/js/jquery-ui-1.9.2.datepicker.min.js', JURI::base() . '/templates/' . $app->getTemplate() . '/js/reservation.js');
    }

    public function js() {

        $js = 'jQuery(function($){
                    $(window).load(function() {
                        $("#reservation-date").datepicker({
                            beforeShow: function(input, inst) {
                                $("#ui-datepicker-div").removeClass(function() {
                                    return $("input").get(0).id;
                                });
                                $("#ui-datepicker-div").addClass(this.id);
                            }
                        });
                    });
		});';

        return $js;
    }

    public static function getTemplate() {
        $output = '
            <#
                let contentClass = (!_.isEmpty(data.class) && data.class) ? data.class : "";
                let title = (!_.isEmpty(data.title) && data.title) ? data.title : "";
                let heading_selector = (!_.isEmpty(data.heading_selector) && data.heading_selector) ? data.heading_selector : "h3";

                let sub_title = (!_.isEmpty(data.sub_title) && data.sub_title) ? data.sub_title : "";
                let title_fontsize = (!_.isEmpty(data.title_fontsize) && data.title_fontsize) ? data.title_fontsize : "";
                let title_fontweight = (!_.isEmpty(data.title_fontweight) && data.title_fontweight) ? data.title_fontweight : "";
                let title_text_color = (!_.isEmpty(data.title_text_color) && data.title_text_color) ? data.title_text_color : "";
                let title_margin_top = (!_.isEmpty(data.title_margin_top) && data.title_margin_top) ? data.title_margin_top : "";
                let title_margin_bottom = (!_.isEmpty(data.title_margin_bottom) && data.title_margin_bottom) ? data.title_margin_bottom : "";
                let recipient_email = (!_.isEmpty(data.recipient_email) && data.recipient_email) ? data.recipient_email : "";

            #>
                <div class="sppb-addon sppb-addon-reservations {{contentClass}}">

                <# if (title) { #>

                    <div class="sppb-text-center sppb-addon-header">

                    <#
                    let title_style = "";
                    if (title_margin_top != ""){
                        title_style += \'margin-top:\' + title_margin_top + \'px;\';
                    }
                    if (title_margin_bottom != ""){
                        title_style += \'margin-bottom:\' + title_margin_bottom + \'px;\';
                    }
                    if (title_text_color){
                        title_style += \'color:\' + title_text_color + \';\';
                    }
                    if (title_fontsize){
                        title_style += \'font-size:\' + title_fontsize + \'px;line-height:\' + title_fontsize + \'px;\';
                    }
                    if (title_fontweight){
                        title_style += \'font-weight:\' + title_fontweight + \';\';
                    }
                    #>

                    <{{heading_selector}} class="sppb-addon-title" style="{{title_style}}">{{{title}}}</{{heading_selector}}>

                    <# if (sub_title) { #>
                        <p class="sppb-addon-sub-title">{{{sub_title}}}</p>
                    <# } #>

                    </div>
                <# } #>

                <div class="sppb-addon-content">
                <form class="sppb-reservation-form">


                <div class="sppb-row">

                <div class="sppb-col-sm-4">
                <div class="sppb-form-group">
                <label for="reservation-date">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_DATE_LABEL') . '</label>
                <input type="text" name="reservation_date" id="reservation-date" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_DATE_PLACEHOLDER') . '" required="required">
                </div>
                </div>

                <div class="sppb-col-sm-4">
                <div class="sppb-form-group">
                <label for="reservation-time">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_LABEL') . '</label>
                <select name="reservation_time" class="sppb-form-control" id="reservation-time" required="required">
                <option value="6:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">6:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="6:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">6:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="7:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">7:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="7:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">7:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="8:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">8:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="8:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">8:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="9:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">9:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="9:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">9:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="10:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">10:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="10:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">10:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="11:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">11:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="11:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '">11:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_AM') . '</option>
                <option value="12:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">12:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="12:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">12:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="1:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">1:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="1:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">1:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="2:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">2:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="2:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">2:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="3:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">3:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="3:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">3:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="4:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">4:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="4:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">4:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="5:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">5:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="5:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">5:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="6:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">6:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="6:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">6:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="7:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">7:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="8:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '" selected="selected">8:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="8:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">8:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="9:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">9:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="9:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">9:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="10:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">10:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="10:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">10:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="11:00' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">11:00 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                <option value="11:30' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '">11:30 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_TIME_PM') . '</option>
                </select>
                </div>
                </div>

                <div class="sppb-col-sm-4">
                <div class="sppb-form-group">
                <label for="reservation-people">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE_LABEL') . '</label>
                <select name="reservation_people" class="sppb-form-control" id="reservation-people" required="required">
                <option value="1">1 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PERSON') . '</option>
                <option value="2" selected="selected">2 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="3">3 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="4">4 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="5">5 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="6">6 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="7">7 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="8">8 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="9">9 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="10">10 ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                <option value="10+">10+ ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PEOPLE') . '</option>
                </select>
                </div>
                </div>

                </div>


                <div class="sppb-row">

                <div class="sppb-col-sm-4">
                <div class="sppb-form-group">
                <label for="reservation-name">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_NAME_LABEL') . '</label>
                <input type="text" name="reservation_name" id="reservation-name" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_NAME_PLACEHOLDER') . '" required="required">
                </div>
                </div>

                <div class="sppb-col-sm-4">
                <div class="sppb-form-group">
                <label for="reservation-phone">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PHONE_LABEL') . '</label>
                <input type="text" name="reservation_phone" id="reservation-phone" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_PHONE_PLACEHOLDER') . '" required="required">
                </div>
                </div>

                <div class="sppb-col-sm-4">
                <div class="sppb-form-group">
                <label for="reservation-email">' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_EMAIL_LABEL') . '</label>
                <input type="email" name="reservation_email" id="reservation-email" class="sppb-form-control" placeholder="' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_EMAIL_PLACEHOLDER') . '" required="required">
                </div>
                </div>

                </div>


                <input type="hidden" name="reservation_recipient" value="' . base64_encode($recipient_email) . '">

                <div style="display:none;" class="sppb-reservation-status sppb-text-center"></div>

                <div class="sppb-text-center sppb-btn-wrapper">
                <button type="submit" class="sppb-btn sppb-btn-default sppb-btn-lg btn-reservation"><i class="fa"></i> ' . JText::_('COM_SPPAGEBUILDER_ADDON_RESERVATIONS_SEND') . '</button>
                </div>

                </form>

                </div>

                </div>
                ';
        return $output;
    }

}
