<?php

/**
 * @package Aspasia
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class SppagebuilderAddonSlideshow_full extends SppagebuilderAddons {

    public function render() {
        $arrows = (isset($this->addon->settings->arrows) && $this->addon->settings->arrows) ? $this->addon->settings->arrows : '';
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';


        $output = '<div id="sppb-slider-fullwidth" class="carousel slide carousel-fade ' . $class . '" data-ride="carousel">';
        $output .= '<div class="carousel-inner" role="listbox">';

        foreach ($this->addon->settings->sp_slideshow_full_item as $key => $item) {

            $class = ($key == 0) ? ' active' : '';

            $output .= '<div class="item' . $class . '" style="background-image: url(' . JURI::base(true) . '/' . $item->image . ')">';
            $output .= '<div class="sppb-text-center">';

            if (isset($item->title) && $item->title) {
                $output .= '<p class="sp-leading sp-slide-title">' . $item->title . '</p>';
            }

            if (isset($item->sub_title) && $item->sub_title) {
                $output .= '<h2 class="sp-slide-subtitle">' . $item->sub_title . '</h2>';
            }

            if (isset($item->text) && $item->text) {
                $output .= '<div class="sp-slide-description">' . $item->text . '</div>';
            }

            if ((isset($item->button_text) && $item->button_text) && (isset($item->button_url) && $item->button_url)) {
                $output .= '<a href="' . $item->button_url . '" class="btn btn-' . $item->button_type . ' btn-' . $item->button_size . '">' . $item->button_text . '</a>';
            }

            $output .= '</div>';
            $output .= '</div>';
        }

        $output .= '</div>';

        // Arrows
        if ($arrows) {
            $output .= '<a class="left sppb-slider-control" href="#sppb-slider-fullwidth" role="button" data-slide="prev"><i class="fa fa-angle-left" aria-hidden="true"></i></a>';
            $output .= '<a class="right sppb-slider-control" href="#sppb-slider-fullwidth" role="button" data-slide="next"><i class="fa fa-angle-right" aria-hidden="true"></i></a>';
        }

        $output .= '</div>';

        return $output;
    }

    public static function getTemplate() {
        $output = '
            <#
                let arrows = (typeof data.arrows !== "undefined") ? data.arrows : 0;
                let contentClass = (!_.isEmpty(data.class) && data.class) ? data.class : "";
            #>

                <div id="sppb-slider-fullwidth" class="carousel slide carousel-fade {{contentClass}}" data-ride="carousel">
                <div class="carousel-inner" role="listbox">

                <# _.each (data.sp_slideshow_full_item,function(item, key) {

                    let activeClass = (key == 0) ? " active" : "";
                #>

                    <div class="item {{activeClass}}" style="background-image: url({{item.image}})">
                    <div class="sppb-text-center">

                    <# if (!_.isEmpty(item.title) && item.title) { #>
                        <p class="sp-leading sp-slide-title">{{{item.title}}}</p>
                    <# } #>

                    <# if (!_.isEmpty(item.sub_title) && item.sub_title) { #>
                        <h2 class="sp-slide-subtitle">{{{item.sub_title}}}</h2>
                    <# } #>

                    <# if (!_.isEmpty(item.text) && item.text) { #>
                        <div class="sp-slide-description">{{{item.text}}}</div>
                    <# } #>

                    <# if ((!_.isEmpty(item.button_text) && item.button_text) && (!_.isEmpty(item.button_url) && item.button_url)) { #>
                        <a href="{{item.button_url}}" class="btn btn-{{item.button_type}} btn-{{item.button_size}}">{{item.button_text}}</a>
                    <# } #>

                    </div>
                    </div>
                <# }) #>

                </div>
                <# if (arrows>0) { #>
                    <a class="left sppb-slider-control" href="#sppb-slider-fullwidth" role="button" data-slide="prev"><i class="fa fa-angle-left" aria-hidden="true"></i></a>
                    <a class="right sppb-slider-control" href="#sppb-slider-fullwidth" role="button" data-slide="next"><i class="fa fa-angle-right" aria-hidden="true"></i></a>
                <# } #>

                </div>

                ';
        return $output;
    }

}
