<?php

/**
 * @package SP PageBuilder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class SppagebuilderAddonSpecial_dishes extends SppagebuilderAddons {

    public function render() {
        $class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
        $title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';
        $subtitle = (isset($this->addon->settings->subtitle) && $this->addon->settings->subtitle) ? $this->addon->settings->subtitle : '';


        $output = '<div class="sppb-addon sppb-addon-special-dishes ' . $class . '">';
        $output .= '<div class="sppb-addon-content">';
        $output .= '<div class="sppb-row sppb-no-gutter">';

        $output .= '<div class="sppb-col-sm-12 sppb-col-md-4">';
        $output .= '<div class="sppb-addon-content-inner">';
        if ($title) {
            $output .= '<h2 class="sppb-addon-title sp-leading sppb-wow fadeInLeft">' . $title . '</h2>';
        }

        if ($subtitle) {
            $output .= '<h3 class="sppb-addon-sub-title sppb-wow fadeInLeft" data-sppb-wow-delay="200ms">' . $subtitle . '</h3>';
        }
        $output .= '</div>';
        $output .= '</div>';

        foreach ($this->addon->settings->sp_special_dishes_item as $key => $item) {
            $output .= '<div class="sppb-col-sm-6 sppb-col-md-4">';
            $output .= '<div class="sppb-addon-content-wrapper">';
            $output .= '<img class="sppb-dish-image" src="' . $item->image . '" alt="' . $item->title . '">';
            $output .= '<div class="sppb-addon-content-headings">';
            $output .= '<h2 class="sp-leading sppb-wow fadeInUp">' . $item->title . '</h2>';
            $output .= '<h3 class="sppb-dish-title sppb-wow fadeInUp" data-sppb-wow-delay="200ms">' . $item->subtitle . '</h3>';
            $output .= '</div>';
            $output .= '</div>';
            $output .= '</div>';
        }

        $output .= '</div>';
        $output .= '</div>';

        $output .= '</div>';

        return $output;
    }

    public static function getTemplate() {
        $output = '
            <#
                let contentClass = (!_.isEmpty(data.class) && data.class) ? data.class : "";
                let title = (!_.isEmpty(data.title) && data.title) ? data.title : "";
                let subtitle = (!_.isEmpty(data.subtitle) && data.subtitle) ? data.subtitle : "";
            #>
                <div class="sppb-addon sppb-addon-special-dishes {{contentClass}}">
                <div class="sppb-addon-content">
                <div class="sppb-row sppb-no-gutter">

                <div class="sppb-col-sm-12 sppb-col-md-4">
                <div class="sppb-addon-content-inner">

                <# if (title) { #>
                    <h2 class="sppb-addon-title sp-leading">{{{title}}}</h2>
                <# } #>

                <# if (subtitle) { #>
                    <h3 class="sppb-addon-sub-title">{{{subtitle}}}</h3>
                <# } #>

                </div>
                </div>

                <# _.each (data.sp_special_dishes_item, function(item, key) { #>
                    <div class="sppb-col-sm-6 sppb-col-md-4">
                    <div class="sppb-addon-content-wrapper">
                    <img class="sppb-dish-image" src="{{item.image}}" alt="{{item.title}}">
                    <div class="sppb-addon-content-headings">
                    <h2 class="sp-leading">{{{item.title}}}</h2>
                    <h3 class="sppb-dish-title">{{{item.subtitle}}}</h3>
                    </div>
                    </div>
                    </div>
                <# }) #>

                </div>
                </div>

                </div>
                ';
        return $output;
    }

}
