<?php
/**
* @package Helix3 Framework
* @author JoomShaper http://www.joomshaper.com
* @copyright Copyright (c) 2010 - 2015 JoomShaper
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/

defined('_JEXEC') or die;
$doc = JFactory::getDocument();
$app = JFactory::getApplication();

//Load Helix
$helix3_path = JPATH_PLUGINS.'/system/helix3/core/helix3.php';

if (file_exists($helix3_path)) {
	require_once($helix3_path);
	$this->helix3 = Helix3::getInstance();
} else {
	die('Please install and activate helix plugin');
}

$comingsoon_title = $this->params->get('comingsoon_title');
if( $comingsoon_title ) {
	$doc->setTitle( $comingsoon_title . ' | ' . $app->get('sitename') );
}

$comingsoon_date = explode('-', $this->params->get("comingsoon_date"));

//Load jQuery
JHtml::_('jquery.framework');
?>
<!DOCTYPE html>
<html class="sp-comingsoon" xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php
	if($favicon = $this->helix3->getParam('favicon')) {
		$doc->addFavicon( JURI::base(true) . '/' .  $favicon);
	} else {
		$doc->addFavicon( $this->helix3->getTemplateUri() . '/images/favicon.ico' );
	}
	?>
	<jdoc:include type="head" />
	<?php
	$this->helix3->addCSS('bootstrap.min.css, bistro.css, font-awesome.min.css')
	->lessInit()->setLessVariables(array(
		'preset'=>$this->helix3->Preset(),
		'bg_color'=> $this->helix3->PresetParam('_bg'),
		'text_color'=> $this->helix3->PresetParam('_text'),
		'major_color'=> $this->helix3->PresetParam('_major'),
		'header_bg'=> $this->helix3->PresetParam('_header_bg'),
		'footer_bg'=> $this->helix3->PresetParam('_footer_bg')
		))
	->addLess('master', 'template')
	->addLess('presets',  'presets/'.$this->helix3->Preset())
	->addJS('jquery.countdown.min.js');
	?>
</head>
<body>
	<div class="sp-comingsoon-wrap">	
		<div>
			<div class="container">
				<div class="text-center">
					<div id="sp-comingsoon">

						<?php if( $comingsoon_title ) { ?>
						<h1 class="sp-comingsoon-title">
							<?php echo $comingsoon_title; ?>
						</h1>
						<?php } ?>

						<?php if( $this->params->get('comingsoon_content') ) { ?>
						<div class="sp-comingsoon-content">
							<?php echo $this->params->get('comingsoon_content'); ?>
						</div>
						<?php } ?>

						<div id="countdown-timer"><!--Placeholder--></div>

						<?php if($this->countModules('comingsoon')) { ?>
						<div class="sp-position-comingsoon">
							<jdoc:include type="modules" name="comingsoon" style="sp_xhtml" />
						</div>
						<?php } ?>

						<?php
						//Social Icons
						$facebook 	= $this->params->get('facebook');
						$twitter  	= $this->params->get('twitter');
						$googleplus = $this->params->get('googleplus');
						$pinterest 	= $this->params->get('pinterest');
						$youtube 	= $this->params->get('youtube');
						$linkedin 	= $this->params->get('linkedin');
						$dribbble 	= $this->params->get('dribbble');
						$behance 	= $this->params->get('behance');
						$skype 		= $this->params->get('skype');
						$flickr 	= $this->params->get('flickr');
						$vk 		= $this->params->get('vk');

						if( $this->params->get('show_social_icons') && ( $facebook || $twitter || $googleplus || $pinterest || $youtube || $linkedin || $dribbble || $behance || $skype || $flickr || $vk ) ) {
							$html  = '<ul class="social-icons">';

							if( $facebook ) {
								$html .= '<li><a target="_blank" href="'. $facebook .'"><i class="sb-bistro-facebook"></i></a></li>';
							}
							if( $twitter ) {
								$html .= '<li><a target="_blank" href="'. $twitter .'"><i class="sb-bistro-twitter"></i></a></li>';
							}
							if( $googleplus ) {
								$html .= '<li><a target="_blank" href="'. $googleplus .'"><i class="sb-bistro-googleplus"></i></a></li>';
							}
							if( $pinterest ) {
								$html .= '<li><a target="_blank" href="'. $pinterest .'"><i class="sb-bistro-pinterest"></i></a></li>';
							}
							if( $youtube ) {
								$html .= '<li><a target="_blank" href="'. $youtube .'"><i class="sb-bistro-youtube"></i></a></li>';
							}
							if( $linkedin ) {
								$html .= '<li><a target="_blank" href="'. $linkedin .'"><i class="sb-bistro-linkedin"></i></a></li>';
							}
							if( $dribbble ) {
								$html .= '<li><a target="_blank" href="'. $dribbble .'"><i class="sb-bistro-dribbble"></i></a></li>';
							}
							if( $behance ) {
								$html .= '<li><a target="_blank" href="'. $behance .'"><i class="sb-bistro-behance"></i></a></li>';
							}
							if( $flickr ) {
								$html .= '<li><a target="_blank" href="'. $flickr .'"><i class="fa fa-flickr"></i></a></li>';
							}
							if( $vk ) {
								$html .= '<li><a target="_blank" href="'. $vk .'"><i class="fa fa-vk"></i></a></li>';
							}
							if( $skype ) {
								$html .= '<li><a href="skype:'. $skype .'?chat"><i class="fa fa-skype"></i></a></li>';
							}

							$html .= '<ul>';

							echo $html;
						}

						?>

					</div>
				</div>
			</div>
		</div>
	</div>

	<script type="text/javascript">

	jQuery(function($) {
		$("#countdown-timer").countdown('<?php echo trim($comingsoon_date[2]); ?>/<?php echo trim($comingsoon_date[1]); ?>/<?php echo trim($comingsoon_date[0]); ?>', function(event) {
			$(this).html(event.strftime('<span class="timer-day">%D<span>%!D:<?php echo JText::_("HELIX_DAY"); ?>,<?php echo JText::_("HELIX_DAYS"); ?>;</span></span><span class="timer-hour">%H<span>%!H:<?php echo JText::_("HELIX_HOUR"); ?>,<?php echo JText::_("HELIX_HOURS"); ?>;</span></span><span class="timer-minute">%M<span>%!M:<?php echo JText::_("HELIX_MINUTE"); ?>,<?php echo JText::_("HELIX_MINUTES"); ?>;</span></span><span class="timer-second">%S<span>%!S:<?php echo JText::_("HELIX_SECOND"); ?>,<?php echo JText::_("HELIX_SECONDS"); ?>;</span></span>'));
		});
	});

	</script>

</body>
</html>