/**
 * @package Helix3 Framework
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2015 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//Ajax Reservation
jQuery(function ($) {
    $('.sppb-reservation-form').on('submit', function (event) {

        event.preventDefault();

        var $self = $(this);
        var value = $(this).serializeArray();
        var request = {
            'option': 'com_sppagebuilder',
            'task': 'ajax',
            'addon': 'reservations',
            'data': value
        };

        $.ajax({
            type: 'POST',
            data: request,
            beforeSend: function () {
                $self.find('.fa').addClass('fa-spinner fa-spin');
                $self.find('.btn-reservation').attr('disabled', 'disabled');
            },
            success: function (response) {
                $self.find('.fa-spin').removeClass('fa-spinner fa-spin');
                $self.find('.sppb-reservation-status').html($.parseJSON(response).data).fadeIn();
                //$self.next('.sppb-reservation-status').html($.parseJSON(response).data).fadeIn().delay(2000).fadeOut(500);
            }
        });
    });


    //For reservation date picker (React template only)
    var observer = new MutationObserver(function (mutations) {
        mutations.forEach(function (mutation) {
            var newNodes = mutation.addedNodes;
            if (newNodes !== null) {
                var $nodes = $(newNodes);

                $nodes.each(function () {
                    var $node = $(this);
                    $node.find('#reservation-date').each(function () {
                        $("#reservation-date").datepicker({
                            beforeShow: function (input, inst) {
                                $("#ui-datepicker-div").removeClass(function () {
                                    return $("input").get(0).id;
                                });
                                $("#ui-datepicker-div").addClass(this.id);
                            }
                        });
                    });
                });
            }
        });
    });

    var config = {
        childList: true,
        subtree: true
    };
    // Pass in the target node, as well as the observer options
    observer.observe(document.body, config);


});
