<?php
/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/
//no direct accees
defined ('_JEXEC') or die ('restricted aceess');

class SppagebuilderAddonchef extends SppagebuilderAddons {

	public function render() {
		$class = (isset($this->addon->settings->class) && $this->addon->settings->class) ? $this->addon->settings->class : '';
		$title = (isset($this->addon->settings->title) && $this->addon->settings->title) ? $this->addon->settings->title : '';

		// Addon
		$image = (isset($this->addon->settings->image) && $this->addon->settings->image) ? $this->addon->settings->image : '';
		$designation = (isset($this->addon->settings->designation) && $this->addon->settings->designation) ? $this->addon->settings->designation : '';
		$description = (isset($this->addon->settings->description) && $this->addon->settings->description) ? $this->addon->settings->description : '';
		$signature = (isset($this->addon->settings->signature) && $this->addon->settings->signature) ? $this->addon->settings->signature : '';


		$output  = '<div class="sppb-addon sppb-addon-chef sppb-text-center ' . $class . '" style="background-image: url('. JURI::base() . $image .')">';

		$output .= '<div class="sppb-row">';
		$output .= '<div class="sppb-col-md-6">';
		$output	.= '</div>';

		$output .= '<div class="sppb-col-md-6">';
		$output .= '<div class="sppb-addon-content">';

		if($designation) {
			$output .= '<h2 class="sp-chef-designation sp-leading sppb-wow fadeInUp">' . $designation . '</h2>';
		}

		if($title) {
			$output .= '<h3 class="sp-chef-title sppb-wow fadeInUp" data-sppb-wow-delay="100ms">' . $title . '</h3>';
		}

		if ($description) {
			$output .= '<div class="sp-chef-description sppb-wow fadeInUp" data-sppb-wow-delay="200ms">' . $description . '</div>';
		}

		if($signature) {
			$output .= '<img class="sp-chef-signature sppb-wow zoomIn" data-sppb-wow-delay="200ms" src="'. $signature .'" alt="'. $title .'">';
		}

		$output	.= '</div>';
		$output	.= '</div>';
		$output	.= '</div>';

		$output .= '</div>';

		return $output;

	}

	public static function getTemplate(){
		$output = '
		<#
		let contentClass = (!_.isEmpty(data.class) && data.class) ? data.class : "";
		let title = (!_.isEmpty(data.title) && data.title) ? data.title : "";

		let image = (!_.isEmpty(data.image) && data.image) ? data.image : "";
		let designation = (!_.isEmpty(data.designation) && data.designation) ? data.designation : "";
		let description = (!_.isEmpty(data.description) && data.description) ? data.description : "";
		let signature = (!_.isEmpty(data.signature) && data.signature) ? data.signature : "";
		#>

		<div class="sppb-addon sppb-addon-chef sppb-text-center {{contentClass}}" style="background-image: url({{image}})">

		<div class="sppb-row">
		<div class="sppb-col-md-6">
		</div>

		<div class="sppb-col-md-6">
		<div class="sppb-addon-content">

		<# if(designation) { #>
			<h2 class="sp-chef-designation sp-leading sppb-wow fadeInUp">{{designation}}</h2>
		<# }

		if(title) { #>
			<h3 class="sp-chef-title sppb-wow fadeInUp" data-sppb-wow-delay="100ms">{{{title}}}</h3>
		<# }

		if (description) { #>
			<div class="sp-chef-description sppb-wow fadeInUp" data-sppb-wow-delay="200ms">{{{description}}}</div>
		<# }

		if(signature) { #>
			<img class="sp-chef-signature sppb-wow zoomIn" data-sppb-wow-delay="200ms" src="{{signature}}" alt="{{{title}}}">
		<# } #>

		</div>
		</div>
		</div>

		</div>
		';
		return $output;
	}
}
