<?php

/**
 * @package SP Page Builder
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2016 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
//no direct accees
defined('_JEXEC') or die('restricted aceess');

class SppagebuilderAddonModal extends SppagebuilderAddons {

    public function render() {
        $selector_image = (isset($this->addon->settings->selector_image) && $this->addon->settings->selector_image) ? $this->addon->settings->selector_image : '';
        $modal_content_video_url = (isset($this->addon->settings->modal_content_video_url) && $this->addon->settings->modal_content_video_url) ? $this->addon->settings->modal_content_video_url : '';


        $url = '#sppb-modal';
        if ($modal_content_video_url)
            $url = $modal_content_video_url;

        $output = '';
        if ($selector_image)
            $output .= '<div class="sppb-text-center"><a class="sppb-modal-selector" href="' . $url . '"><img src="' . $selector_image . '" alt=""></a></div>';

        return $output;
    }

    public function stylesheets() {
        return array(JURI::base(true) . '/components/com_sppagebuilder/assets/css/prettyPhoto.css', JURI::base(true) . '/components/com_sppagebuilder/assets/css/sppb-prettyphoto.css');
    }

    public function scripts() {
        return array(JURI::base(true) . '/components/com_sppagebuilder/assets/js/jquery.prettyPhoto.js');
    }

    public function js() {
        $js = 'jQuery(function($){
                    $(document).ready(function(){
                        $(".sppb-modal-selector").prettyPhoto({
                            social_tools: false,
                            theme: "sppb_prettyphoto",
                            horizontal_padding: 20,
                            allow_resize: true,
                            default_width: 760,
                            default_height: 440
                        });
                    });
		})';

        return $js;
    }

    public static function getTemplate() {
        $output = '
            <#
                let selector_image = (!_.isEmpty(data.selector_image) && data.selector_image) ? data.selector_image : "";
                let modal_content_video_url = (!_.isEmpty(data.modal_content_video_url) && data.modal_content_video_url) ? data.modal_content_video_url : "";

                let url = "#sppb-modal";
                if (modal_content_video_url){
                    url = modal_content_video_url;
                }
            #>
            <# if (selector_image){ #>
                <div class="sppb-text-center">
                    <a class="sppb-modal-selector" href="{{url}}"><img src="{{selector_image}}" alt=""></a>
                </div>
            <# } #>
            ';
        return $output;
    }

}
